
def zipfile_extract(source_path, destination_folder):
    import zipfile
    if zipfile.is_zipfile(source_path):
        with zipfile.ZipFile(source_path, 'r') as zip_ref:
            zip_ref.extractall(destination_folder)
    else:
        raise FileNotFoundError("Provided file is not a valid zip file.")

